<div class="app-modal deploy-modal-{{ application.identifier }}">
  <div class="app-modal-header bg-dark">Application Status</div>
  <div class="deploy-alert alert alert-success deploy-alert-success-{{ application.identifier }}" role="alert"></div>
  <div class="deploy-alert alert alert-danger deploy-alert-error-{{ application.identifier }}" role="alert"></div>
  <div class="deploy-alert alert alert-info deploy-alert-info-{{ application.identifier }}" role="alert"></div>
  <div class="app-modal-body">
    <div class="row mb-2">
      <div class="col-5 fw-semibold">State</div>
      <div class="col-7 deploy-state-{{ application.identifier }}">{% if application.deployment %}{{ application.deployment.get_state }}{% endif %}</div>
    </div>
    <div class="row mb-2">
      <div class="col-5 fw-semibold">Status</div>
      <div class="col-7 deploy-status-{{ application.identifier }}">{% if application.deployment %}{{ application.deployment.get_status }}{% endif %}</div>
    </div>

    {% if user_role == 'owner' or user_role == 'editor' %}
      <div class="row mb-2">
        <div class="col-5 fw-semibold">Databases</div>
        <div class="col-7 deploy-databases-{{ application.identifier }}">{% if application.deployment %}{{ application.deployment.databases }}{% endif %}</div>
      </div>
      <div class="row mb-2">
        <div class="col-5 fw-semibold">DB owner</div>
        <div class="col-7 deploy-dbowner-{{ application.identifier }}">{% if application.deployment %}{{ application.deployment.db_owner }}{% endif %}</div>
      </div>
      <div class="row mb-2">
        <div class="col-5 fw-semibold">Initial DB password</div>
        <div class="col-7 deploy-dbpassword-{{ application.identifier }}">
          {% if application.deployment %}
            {% if application.deployment.db_password %}
              <span class="password-display">
                <div class="password">****************</div>
                <pre class="text d-none"><code>{{ application.deployment.db_password }}</code></pre>
                <div class="show-btn">Show</div>
              </span>
            {% else %}
              None
            {% endif %}
          {% endif %}
        </div>
      </div>
    {% endif %}

    <div class="row mb-2">
      <div class="col-5 fw-semibold">Application URL</div>
      <div class="col-7 app-url-{{ application.identifier }}">{% if not application.deployment.state == 2 %}None{% else %}<a href="{{ application.get_url }}" target="_blank">{{ application.get_url }}</a>{% endif %}</div>
    </div>
    <div class="row mb-2">
      <div class="col-5 fw-semibold">Deployment logs</div>
      <div class="col-7 deploy-log-{{ application.identifier }}">{% if not application.deployment %}None{% else %}<a href="/deploy_log/{{application.identifier}}" target="_blank">View</a>{% endif %}</div>
    </div>
    <div class="row mb-2">
      <div class="col-5 fw-semibold">Application logs</div>
      <div class="col-7 app-log-{{ application.identifier }}">{% if application.deployment.state == 2 %}<a href="/app_log/{{application.identifier}}" target="_blank">View</a>{% else %}None{% endif %}</div>
    </div>
    <div class="row mb-2">
      <div class="col-5 fw-semibold">Terminal</div>
      <div class="col-7 terminal-{{ application.identifier }}">{% if application.deployment.state == 2 %}<a href="/terminal/{{application.identifier}}" target="_blank">Open</a>{% else %}Unavailable{% endif %}</div>
    </div>

    {% if user_role == 'owner' or user_role == 'editor' %}
      <div class="app-modal-btn-container">
        <button type="button" class="deploy-stop-btn btn btn-outline-danger btn-sm {% if not application.deployment.is_stoppable %}disabled{% endif %} deploy-stop-btn-{{application.identifier}}" data-app-id="{{application.identifier}}">{% if application.deployment.state == 2 %}Stop{% elif application.deployment.state == 1 or application.deployment.state == 5 %}Cancel{% elif application.deployment.state == 3 or application.deployment.state == 4 %}Destroy{% elif application.deployment.state == 6 %}Revert{% else %}Cancel{% endif %}</button>
        {% if application.deployment.state == 1 %}
          <button type="button" class="deploy-btn btn btn-outline-primary btn-sm disabled deploy-btn-{{application.identifier}}" data-app-id="{{application.identifier}}">
            Deploying...<span class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span>
          </button>
        {% elif application.deployment.state == 2 %}
          <button type="button" class="deploy-btn btn btn-outline-primary btn-sm deploy-btn-{{application.identifier}} disabled" data-app-id="{{application.identifier}}">Update</button>
        {% elif application.deployment.state == 6 %}
          <button type="button" class="deploy-btn btn btn-outline-primary btn-sm deploy-btn-{{application.identifier}} disabled" data-app-id="{{application.identifier}}">Update</button>
        {% elif application.deployment.state == 5 %}
          <button type="button" class="deploy-btn btn btn-outline-primary btn-sm disabled deploy-btn-{{application.identifier}}" data-app-id="{{application.identifier}}">
            Updating...<span class="spinner-border spinner-border-sm text-primary" role="status" aria-hidden="true"></span>
          </button>
        {% else %}
          <button type="button" class="deploy-btn btn btn-outline-primary btn-sm deploy-btn-{{application.identifier}} disabled" data-app-id="{{application.identifier}}">Deploy</button>
        {% endif %}
      </div>
    {% endif %}

        {% comment %} This input is for Javascript to check if this app is deployed {% endcomment %}
    <input class="d-none app-deployed-{{ application.identifier }}" type="checkbox" {% if application.k8sinstance %}checked{% endif %}>
  </div>
</div>
